|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QColormap Class Reference
[QtGui module]

The QColormap class maps device independent QColors to device dependent pixel values. More...

     #include <QColormap>

- List of all members, including inherited members

### Public Types

- enum Mode { Direct, Indexed, Gray }

### Public Functions

- QColormap ( const QColormap & colormap )
- ~QColormap ()
- const QColor colorAt ( uint pixel ) const
- const QVector<QColor> colormap () const
- int depth () const
- Mode mode () const
- uint pixel ( const QColor & color ) const
- int size () const
- QColormap & operator= ( const QColormap & colormap )

### Static Public Members

- HPALETTE hPal ()
- QColormap instance ( int screen = -1 )

## Detailed Description

The QColormap class maps device independent QColors to device dependent pixel values.

## Member Type Documentation

### enum QColormap::Mode

This enum describes how QColormap maps device independent RGB values to device dependent pixel values.

Constant | Value | Description
--- | --- | ---
`QColormap::Direct` | `0` | Pixel values are derived directly from the RGB values, also known as "True Color."
`QColormap::Indexed` | `1` | Pixel values represent indexes into a vector of available colors, i.e. QColormap uses the index of the color that most closely matches an RGB value.
`QColormap::Gray` | `2` | Similar to `Indexed`, pixel values represent a vector of available gray tones. QColormap uses the index of the gray tone that most closely matches the computed gray tone of an RGB value.

## Member Function Documentation

### QColormap::QColormap ( const QColormap & colormap )

Constructs a copy of another colormap.

### QColormap::~QColormap ()

Destroys the colormap.

### const QColor QColormap::colorAt ( uint pixel ) const

Returns a QColor for the pixel.

See also pixel().

### const QVector<QColor> QColormap::colormap () const

Returns a vector of colors which represents the devices colormap for `Indexed` and `Gray` modes. This function returns an empty vector for `Direct` mode.

See also size().

### int QColormap::depth () const

Returns the depth of the device.

See also size().

### HPALETTE QColormap::hPal () `[static]`

This function is only available on Windows.

Returns an handle to the HPALETTE used by this colormap. If no HPALETTE is being used, this function returns zero.

### QColormap QColormap::instance ( int screen = -1 ) `[static]`

Returns the colormap for the specified screen. If screen is -1, this function returns the colormap for the default screen.

### Mode QColormap::mode () const

Returns the mode of this colormap.

See also QColormap::Mode.

### uint QColormap::pixel ( const QColor & color ) const

Returns a device dependent pixel value for the color.

See also colorAt().

### int QColormap::size () const

Returns the size of the colormap for `Indexed` and `Gray` modes; Returns -1 for `Direct` mode.

See also colormap().

### QColormap & QColormap::operator= ( const QColormap & colormap )

Assigns the given colormap to this color map and returns a reference to this color map.

This function was introduced in Qt 4.2.